Bug 1900727 - Using shareProcessNamespace with default pod image leaves unreaped processes
Summary: Using shareProcessNamespace with default pod image leaves unreaped processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Peter Hunt
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On: 1900725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-23 15:30 UTC by Eduardo Minguez
Modified: 2021-02-03 10:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1875946
Environment:
Last Closed: 2021-02-03 10:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift images pull 60 0 None closed Bug 1900727: Pod process container does not correctly reap zombie process with shareProcessNamespace: true 2021-02-08 11:26:06 UTC
Red Hat Knowledge Base (Solution) 5598621 0 None None None 2020-11-24 18:54:13 UTC
Red Hat Product Errata RHSA-2021:0281 0 None None None 2021-02-03 10:12:28 UTC

Comment 12 errata-xmlrpc 2021-02-03 10:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.4.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0281


Note You need to log in before you can comment on or make changes to this bug.